/*======================================================================
 @ Benefits section
========================================================================*/


/*======================================================================
 @ Grid
========================================================================*/

.benefits-grid {
    margin-top: 32px;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(350px, 1fr));
    /* gap: 8px; */
}

/*======================================================================
 @ Benefits order
========================================================================*/

.benefits-grid #benefit-economy { display: block; order: 1; }
.benefits-grid #benefit-no-setup { display: block; order: 2; }
.benefits-grid #benefit-adaptable { display: block; order: 3; }
.benefits-grid #benefit-management { display: block; order: 4; }
.benefits-grid #benefit-softphone { display: block; order: 5; }
.benefits-grid #benefit-dialer { display: block; order: 6; }
.benefits-grid #benefit-ui { display: none; order: 7; }

/*======================================================================
 @ Card container
========================================================================*/

.single-benefit {
    padding: 15px;
    text-align: center;
    color: initial;
    width: 100%;
}

.single-benefit-content {
    width: 100%;
    height: 100%;
	background-color: #FFFFFF;
	box-shadow: 0 0 35px rgba(0,0,0,.08);
	padding: 20px 20px;
	position: relative;
	z-index: 2;
}

.single-benefit-content:before {
	position: absolute;
	content: "";
	background-image: none;
	background-color: #1DA1F2;
	color: #fff;
	top: 0;
	left: 0;
	height: 100%;
	width: 100%;
	z-index: -1;
	-webkit-transition: opacity .4s linear;
	transition: opacity .4s linear;
	opacity: 0;
	-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
}
.single-benefit-content:hover:before {
	opacity: 1;
	-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)";
}

/*======================================================================
 @ Card content
========================================================================*/

.single-benefit-content h3 {
	margin: 0;
	color: #666666;
	font-size: 1.714em;
	font-weight: 500;
	margin-bottom: 25px;
}
.single-benefit-content:hover h3 {
	color: #FFFFFF;
}

.single-benefit-content p {
	margin: 0;
}
.single-benefit-content:hover p {
	color: #DDDDDD;
}

.single-benefit-content i {
	font-size: 3.000em;
	width: 76px;
	height: 76px;
	border-radius: 100%;
	color: #FFFFFF;
	background-image: none;
	background-color: #1DA1F2;
	box-shadow: 0 18px 32px rgba(0,0,0,.28);
	line-height: 76px;
	display: inline-block;
	margin-bottom: 20px;
	-webkit-transition: background .4s linear;
	transition: background .4s linear;
}
.single-benefit-content:hover i {
	color: #000;
	background: none;
	background-color: #FEEDEF;
}

/*======================================================================
 @ Icons
========================================================================*/

/*======================================================================
 @ Economy
========================================================================*/
.single-benefit-content i.economy-icon {
	padding-top: 5px;
}
.single-benefit-content i.economy-icon::before {
	content: url(../../../img/icons/benefits/economy-white.png);
}
.single-benefit-content:hover i.economy-icon.economy-icon::before {
	content: url(../../../img/icons/benefits/economy-black.png);
}


/*======================================================================
 @ Management
========================================================================*/
.single-benefit-content i.management-icon {
	padding-top: 5px;
}
.single-benefit-content i.management-icon::before {
	content: url(../../../img/icons/benefits/management-white.png);
}
.single-benefit-content:hover i.management-icon::before {
	content: url(../../../img/icons/benefits/management-black.png);
}

/*======================================================================
 @ Dialer
========================================================================*/
.single-benefit-content i.dialer-icon {
	padding-top: 5px;
}
.single-benefit-content i.dialer-icon::before {
	content: url(../../../img/icons/benefits/dialpad-white.png);
}
.single-benefit-content:hover i.dialer-icon::before {
	content: url(../../../img/icons/benefits/dialpad-black.png);
}

/*======================================================================
 @ Softphone
========================================================================*/
.single-benefit-content i.softphone-icon {
	padding-top: 5px;
}
.single-benefit-content i.softphone-icon::before {
	content: url(../../../img/icons/benefits/phone-white.png);
}
.single-benefit-content:hover i.softphone-icon::before {
	content: url(../../../img/icons/benefits/phone-black.png);
}

/*======================================================================
 @ Adaptable
========================================================================*/
.single-benefit-content i.adaptable-icon {
	padding-top: 5px;
}
.single-benefit-content i.adaptable-icon::before {
	content: url(../../../img/icons/benefits/adaptable-white.png);
}
.single-benefit-content:hover i.adaptable-icon::before {
	content: url(../../../img/icons/benefits/adaptable-black.png);
}

/*======================================================================
 @ Setup
========================================================================*/
.single-benefit-content i.setup-icon {
	padding-top: 5px;
}
.single-benefit-content i.setup-icon::before {
	content: url(../../../img/icons/benefits/setup-white.png);
}
.single-benefit-content:hover i.setup-icon::before {
	content: url(../../../img/icons/benefits/setup-black.png);
}